package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjDwxx;

/**
 * 单位信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjDwxxService 
{
    /**
     * 查询单位信息
     * 
     * @param ID 单位信息ID
     * @return 单位信息
     */
    public TgjjDwxx selectTgjjDwxxById(Long ID);

    /**
     * 查询单位信息列表
     * 
     * @param tgjjDwxx 单位信息
     * @return 单位信息集合
     */
    public List<TgjjDwxx> selectTgjjDwxxList(TgjjDwxx tgjjDwxx);

    /**
     * 新增单位信息
     * 
     * @param tgjjDwxx 单位信息
     * @return 结果
     */
    public int insertTgjjDwxx(TgjjDwxx tgjjDwxx);

    /**
     * 修改单位信息
     * 
     * @param tgjjDwxx 单位信息
     * @return 结果
     */
    public int updateTgjjDwxx(TgjjDwxx tgjjDwxx);

    /**
     * 批量删除单位信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjDwxxByIds(String ids);

    /**
     * 删除单位信息信息
     * 
     * @param ID 单位信息ID
     * @return 结果
     */
    public int deleteTgjjDwxxById(Long ID);
}
